【活用ガイド】

[English]

JVNDB-2011-000014

SEIL シリーズにおけるバッファオーバーフローの脆弱性

概要

SEIL シリーズには、バッファオーバーフローの脆弱性が存在します。

SEIL シリーズは、ルータ製品です。SEIL シリーズの PPP アクセスコンセントレータ (PPPAC) 機能には PPPoE パケットの受信処理に起因するバッファオーバーフローの脆弱性が存在します。

CVSS による深刻度 (CVSS とは?)

基本値: 8.3 (危険) [IPA値]
  • 攻撃元区分: 隣接
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 全面的
  • 完全性への影響(I): 全面的
  • 可用性への影響(A): 全面的

影響を受けるシステム


インターネットイニシアティブ
  • SEIL/B1 ファームウェア 1.00 から 3.11 まで
  • SEIL/neu 2FE Plus ファームウェア 1.80 から 2.10 まで
  • SEIL/Turbo ファームウェア 1.80 から 2.10 まで
  • SEIL/X1 ファームウェア 1.00 から 3.11 まで
  • SEIL/X2 ファームウェア 1.00 から 3.11 まで
  • SEIL/x86 ファームウェア 1.00 から 1.61 まで

想定される影響

該当製品へアクセス可能な第三者によって任意のコードを実行される可能性があります。

なお、開発者によると SEIL/x86 全バージョン、SEIL/B1、SEIL/X1、SEIL/X2 3.00 から 3.11 まででは、PPPoE パケットの受信処理が非特権モードで実行されるため、本脆弱性の影響は PPPAC 機能の停止などに限られるとのことです。
対策

[アップデートする]
開発者が提供する情報をもとに最新版へアップデートしてください。

なお、本脆弱性は以下のバージョンで修正されています。
・SEIL/x86 ファームウェア 1.62
・SEIL/B1 ファームウェア 3.12
・SEIL/neu 2FE Plus ファームウェア 2.11
・SEIL/Turbo ファームウェア 2.11
・SEIL/X1 ファームウェア 3.12
・SEIL/X2 ファームウェア 3.12
ベンダ情報

インターネットイニシアティブ
CWEによる脆弱性タイプ一覧  CWEとは?

  1. バッファエラー(CWE-119) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2011-0454
参考情報

  1. JVN : JVN#88991166
  2. National Vulnerability Database (NVD) : CVE-2011-0454
  3. IPA 重要なセキュリティ情報 : 「SEIL シリーズ」におけるセキュリティ上の弱点(脆弱性)の注意喚起
  4. Secunia Advisory : SA43494
  5. SecurityFocus : 46598
  6. ISS X-Force Database : 65672
更新履歴

[2011年02月28日]
  掲載